Run of lintian-fixes for maven-plugin-tools

Try this locally (using the lintian-brush package):

debcheckout maven-plugin-tools
cd maven-plugin-tools
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index e298eef..743c749 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+maven-plugin-tools (3.6.0-2) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Use secure URI in Homepage field.
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 05 Jun 2020 21:27:35 -0000
+
 maven-plugin-tools (3.6.0-1) unstable; urgency=medium
 
   * Team upload.
@@ -154,7 +163,7 @@ maven-plugin-tools (2.8-3) unstable; urgency=low
 
   * Team upload.
   * debian/control:
-    - Replaced libgoogle-collections-java with libguava-java as a build 
+    - Replaced libgoogle-collections-java with libguava-java as a build
       dependency (required by the modello task of maven-ant-helper)
     - Tightened the versioned dependency on maven-ant-helper
     - Updated Standards-Version to 3.9.4 (no changes)
@@ -193,7 +202,7 @@ maven-plugin-tools (2.5-1) experimental; urgency=low
   * New upstream version, add myself to Uploaders
   * Change section to java, bump up Standards-Version to 3.8.1
   * Remove the dependency on java runtimes as it is a library.
-  * Remove the recursive dependency on libmaven-plugin-tools-java, 
+  * Remove the recursive dependency on libmaven-plugin-tools-java,
     it's not needed
   * Add a Build-Depends-Indep dependency on maven-repo-helper
   * Use mh_installpom and mh_installjar to install the POM and the jar to the
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index 9cf9937..1e960db 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Uploaders:
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  junit,
  libasm-java (>= 7.0),
@@ -32,7 +32,7 @@ Build-Depends:
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/maven-plugin-tools.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven-plugin-tools
-Homepage: http://maven.apache.org/plugin-tools/
+Homepage: https://maven.apache.org/plugin-tools/
 
 Package: libmaven-plugin-tools-java
 Architecture: all

Debdiff

File lists identical (after any substitutions)

Control files: lines which differ (wdiff format)

  • Homepage: http://maven.apache.org/plugin-tools/ https://maven.apache.org/plugin-tools/

Full worker log Full build log